Mobile Panel Height in Angular Dashboard Layout

25 Aug 20265 minutes to read

The Dashboard Layout component supports responsive mobile layout through the mediaQuery property. However, in mobile view, all panels use a uniform height calculation based on the sizeY property. The mobilePanelHeight property allows specifying a custom height for individual panels in mobile view, enabling better optimization of responsive layouts.

The table below lists the new panel property and its functionality.

Property Description
mobilePanelHeight Specifies the height of the panel in cells count for mobile view only. When set, this height overrides the default sizeY value. If null or undefined, falls back to sizeY.

Setting mobile panel height

The mobilePanelHeight property allows defining a mobile-specific height for each panel in cells count. This property is applied only when the component is in mobile view (based on the mediaQuery condition).

Previously, panel heights in mobile view were calculated uniformly based on the viewport width, where all panels adhered to a fixed range from 0 to 1 in the calculation algorithm. The mobilePanelHeight property introduces decimal value support for more granular control over panel heights. Just as panel width adapts to the viewport, height can now be adjusted using decimal increments (e.g., 0.5, 1.5, 2.7) in addition to whole numbers, enabling independent height customization.

This helps:

  • Reduce unnecessary whitespace in mobile layouts.
  • Improve screen space utilization on smaller devices.
  • Enhance the user experience by displaying more relevant content within the viewport without excessive scrolling.
  • Independently control panel height without relying on the desktop sizeY configuration.

For panels without mobilePanelHeight defined, the sizeY value is used as the default height in mobile view. The mobilePanelHeight property is independent of the minSizeY and maxSizeY constraints, which apply only to the desktop view.

The following sample demonstrates setting custom heights for panels in mobile view.

import { DashboardLayoutModule } from '@syncfusion/ej2-angular-layouts'
import { Component, ViewEncapsulation } from '@angular/core';

@Component({
    imports: [DashboardLayoutModule],
    standalone: true,
    selector: 'app-root',
    template: `
    <div class="control-section" style="width: 500px;">
        <ejs-dashboardlayout id="defaultLayout" #defaultLayout [cellSpacing]="cellSpacing" [mediaQuery]="mediaQuery" [columns]="columns" [panels]="panels">
        </ejs-dashboardlayout>
    </div>`,
    encapsulation: ViewEncapsulation.None
})

export class AppComponent {
    public cellSpacing: number[] = [20, 20];
    public mediaQuery: string = 'max-width: 700px';
    public columns: number = 5;
    public panels: any = [
        {
            sizeX: 1,
            sizeY: 1,
            row: 0,
            col: 0,
            content: '<div class="content">0</div>',
            mobilePanelHeight: 0.25
        },
        {
            sizeX: 1,
            sizeY: 1,
            row: 0,
            col: 1,
            content: '<div class="content">1</div>',
            mobilePanelHeight: 0.5
        },
        {
            sizeX: 1,
            sizeY: 1,
            row: 1,
            col: 0,
            content: '<div class="content">2</div>',
            mobilePanelHeight: 0.75
        },
        {
            sizeX: 1,
            sizeY: 1,
            row: 2,
            col: 0,
            content: '<div class="content">3</div>',
            mobilePanelHeight: 1
        },
    ]
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Mobile Panel Height in React Dashboard Layout

24 Sep 202611 minutes to read

The React Dashboard Layout component supports responsive mobile layout through the mediaQuery property. However, in mobile view, all panels use a uniform height calculation based on the sizeY property. The mobilePanelHeight property allows specifying a custom height for individual panels in mobile view, enabling better optimization of responsive layouts.

The table below lists the new panel property and its functionality.

Property Description
mobilePanelHeight Specifies the height of the panel in cells count for mobile view only. When set, this height overrides the default sizeY value. If null or undefined, falls back to sizeY.

Setting mobile panel height

The mobilePanelHeight property allows defining a mobile-specific height for each panel in cells count. This property is applied only when the component is in mobile view (based on the mediaQuery condition).

Previously, panel heights in mobile view were calculated uniformly based on the viewport width, where all panels adhered to a fixed range from 0 to 1 in the calculation algorithm. The mobilePanelHeight property introduces decimal value support for more granular control over panel heights. Just as panel width adapts to the viewport, height can now be adjusted using decimal increments (e.g., 0.5, 1.5, 2.7) in addition to whole numbers, enabling independent height customization.

This helps:

  • Reduce unnecessary whitespace in mobile layouts.
  • Improve screen space utilization on smaller devices.
  • Enhance the user experience by displaying more relevant content within the viewport without excessive scrolling.
  • Independently control panel height without relying on the desktop sizeY configuration.

For panels without mobilePanelHeight defined, the sizeY value is used as the default height in mobile view. The mobilePanelHeight property is independent of the minSizeY and maxSizeY constraints, which apply only to the desktop view.

The following sample demonstrates setting custom heights for panels in mobile view.

import { DashboardLayoutComponent } from '@syncfusion/ej2-react-layouts';
import * as React from 'react';
function App() {
    const cellSpacing = [20, 20];
    let mediaQuery = 'max-width: 700px';
    let panels = [
        {
            sizeX: 1,
            sizeY: 1,
            row: 0,
            col: 0,
            content: '<div class="content">0</div>',
            mobilePanelHeight: 0.25
        },
        {
            sizeX: 1,
            sizeY: 1,
            row: 0,
            col: 1,
            content: '<div class="content">1</div>',
            mobilePanelHeight: 0.5
        },
        {
            sizeX: 1,
            sizeY: 1,
            row: 1,
            col: 0,
            content: '<div class="content">2</div>',
            mobilePanelHeight: 0.75
        },
        {
            sizeX: 1,
            sizeY: 1,
            row: 2,
            col: 0,
            content: '<div class="content">3</div>',
            mobilePanelHeight: 1
        },
    ];
    return (<div>
            <div id='container' style="width: 500px;">
                <DashboardLayoutComponent id='defaultLayout' columns={5} cellSpacing={cellSpacing} panels={panels} mediaQuery={mediaQuery}/>
            </div>
        </div>);
}
export default App;
import { DashboardLayoutComponent } from '@syncfusion/ej2-react-layouts';
import * as React from 'react';
function App() {
    const cellSpacing: number[] = [20, 20];
    let mediaQuery: string = 'max-width: 700px';
    let panels: any = [
        {
            sizeX: 1,
            sizeY: 1,
            row: 0,
            col: 0,
            content: '<div class="content">0</div>',
            mobilePanelHeight: 0.25
        },
        {
            sizeX: 1,
            sizeY: 1,
            row: 0,
            col: 1,
            content: '<div class="content">1</div>',
            mobilePanelHeight: 0.5
        },
        {
            sizeX: 1,
            sizeY: 1,
            row: 1,
            col: 0,
            content: '<div class="content">2</div>',
            mobilePanelHeight: 0.75
        },
        {
            sizeX: 1,
            sizeY: 1,
            row: 2,
            col: 0,
            content: '<div class="content">3</div>',
            mobilePanelHeight: 1
        },
    ];
    return (<div>
            <div id='container' style="width: 500px;">
                <DashboardLayoutComponent id='defaultLayout' columns={5} cellSpacing={cellSpacing} panels={panels} mediaQuery={mediaQuery}/>
            </div>
        </div>);
}
export default App;
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import App from './App';
ReactDOM.render(<App />, document.getElementById('root'));
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import App  from './App';

ReactDOM.render(<App />, document.getElementById('root'));
@import "../node_modules/@syncfusion/ej2-base/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-react-dropdowns/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-react-inputs/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-react-buttons/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-react-layouts/styles/tailwind3.css";

#container {
  margin: 0 auto;
  width: 800px;
}

.e-panel-container .content {
  vertical-align: middle;
  font-weight: 500;
  font-size: 20px;
  text-align: center;
  line-height: 45px;
}

td{
  padding: 5px;
}

div#properties {
  width: 205px;
  margin-left: 15px;
  border: 1px solid black;
  padding: 15px;
  position: absolute;
}

.inline {
  display: inline-block;
}

div#control {
  width: 500px;
}

#resize {
  margin-left: 40%;
}
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion EJ2 React Dashboard Layout Sample</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-base/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-buttons/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-popups/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-splitbuttons/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-react-layouts/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-react-dropdowns/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-react-inputs/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-react-buttons/styles/tailwind3.css" rel="stylesheet" />

    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
    <link rel="stylesheet" href="App.css">
</head>
<body>
    <div id='root'>
        <div id='loader'>Loading....</div>
    </div>  
</body>
</html>

Custom Panel Height in Mobile View in Vue Dashboard Layout

26 Aug 202610 minutes to read

The Dashboard Layout component supports responsive mobile layout through the mediaQuery property. However, in mobile view, all panels use a uniform height calculation based on the sizeY property. The mobilePanelHeight property allows specifying a custom height for individual panels in mobile view, enabling better optimization of responsive layouts.

The table below lists the new panel property and its functionality.

Property Description
mobilePanelHeight Specifies the height of the panel in cells count for mobile view only. When set, this height overrides the default sizeY value. If null or undefined, falls back to sizeY.

Setting mobile panel height

The mobilePanelHeight property allows defining a mobile-specific height for each panel in cells count. This property is applied only when the component is in mobile view (based on the mediaQuery condition).

Previously, panel heights in mobile view were calculated uniformly based on the viewport width, where all panels adhered to a fixed range from 0 to 1 in the calculation algorithm. The mobilePanelHeight property introduces decimal value support for more granular control over panel heights. Just as panel width adapts to the viewport, height can now be adjusted using decimal increments (e.g., 0.5, 1.5, 2.7) in addition to whole numbers, enabling independent height customization.

This helps:

  • Reduce unnecessary whitespace in mobile layouts.
  • Improve screen space utilization on smaller devices.
  • Enhance the user experience by displaying more relevant content within the viewport without excessive scrolling.
  • Independently control panel height without relying on the desktop sizeY configuration.

For panels without mobilePanelHeight defined, the sizeY value is used as the default height in mobile view. The mobilePanelHeight property is independent of the minSizeY and maxSizeY constraints, which apply only to the desktop view.

The following sample demonstrates setting custom heights for panels in mobile view.

<template>
    <div className="col-lg-12 control-section" id="control_dash">
        <div className="content-wrapper">
            <div id="dashboardElement" style="width: 500px;">
                <!--  Dashboard Layout component declaration -->
                <ejs-dashboardlayout ref="dashboard" id='dashboard_default' :cellSpacing="cellSpacing" :mediaQuery="mediaQuery"
                    :columns="columns">
                    <e-panels>
                        <e-panel id="Panel0" :sizeX="1" :sizeY="1" :row="0" :col="0" :mobilePanelHeight="0.25"
                            content="<div class='content'>0</div>"></e-panel>
                        <e-panel id="Panel1" :sizeX="1" :sizeY="1" :row="0" :col="1" :mobilePanelHeight="0.5"
                            content="<div class='content'>1</div>"></e-panel>
                        <e-panel id="Panel2" :sizeX="1" :sizeY="1" :row="1" :col="0" :mobilePanelHeight="0.75"
                            content="<div class='content'>2</div>"></e-panel>
                        <e-panel id="Panel3" :sizeX="1" :sizeY="1" :row="2" :col="0" :mobilePanelHeight="1"
                            content="<div class='content'>3</div>"></e-panel>
                    </e-panels>
                </ejs-dashboardlayout>
                <!-- end of Dashboard Layout component -->
            </div>
        </div>
    </div>
</template>

<script setup>

    // Import syncfusion Dashboard Layout component from layouts package
    import { DashboardLayoutComponent as EjsDashboardlayout, PanelDirective as EPanel, PanelsDirective as EPanels } from "@syncfusion/ej2-vue-layouts";
    import { ref } from 'vue';

    const cellSpacing = [20, 20];
    const mediaQuery = 'max-width: 700px';
    const columns = 5;

</script>

<style>
    @import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
    @import "../node_modules/@syncfusion/ej2-vue-layouts/styles/material3.css";

    /* Dashboard Layout component styles  */
    #dashboard_default .e-panel .e-panel-content {
        vertical-align: middle;
        font-weight: 600;
        font-size: 20px;
        text-align: center;
        line-height: 100px;
    }

    #dashboardElement {
        padding-top: 30px;
    }

    #dashboard_default .e-panel {
        transition: none !important;
    }
</style>
<template>
  <div className="col-lg-12 control-section" id="control_dash">
    <div className="content-wrapper">
      <div id="dashboardElement">
        <!--  Dashboard Layout component declaration -->
        <ejs-dashboardlayout ref="dashboard" id='dashboard_default' :cellSpacing="cellSpacing" :mediaQuery="mediaQuery"
          :columns="columns">
          <e-panels>
            <e-panel id="Panel0" :sizeX="1" :sizeY="1" :row="0" :col="0" :mobilePanelHeight="0.25"
              content="<div class='content'>0</div>"></e-panel>
            <e-panel id="Panel1" :sizeX="1" :sizeY="1" :row="0" :col="1" :mobilePanelHeight="0.5"
              content="<div class='content'>1</div>"></e-panel>
            <e-panel id="Panel2" :sizeX="1" :sizeY="1" :row="1" :col="0" :mobilePanelHeight="0.75"
              content="<div class='content'>2</div>"></e-panel>
            <e-panel id="Panel3" :sizeX="1" :sizeY="1" :row="2" :col="0" :mobilePanelHeight="1"
              content="<div class='content'>3</div>"></e-panel>
          </e-panels>
        </ejs-dashboardlayout>
        <!-- end of Dashboard Layout component -->
      </div>
    </div>
  </div>
</template>
  
<script>
  // Import syncfusion Dashboard Layout component from layouts package
  import { DashboardLayoutComponent, PanelDirective, PanelsDirective } from "@syncfusion/ej2-vue-layouts";
  
  export default {
    name: "App",
    components: {
      "ejs-dashboardlayout": DashboardLayoutComponent,
      "e-panels": PanelsDirective,
      "e-panel": PanelDirective,
    },
  
    data: function () {
      return {
        cellSpacing: [20, 20],
        mediaQuery: 'max-width: 700px',
        columns: 5
      };
    }
  }
</script>

<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-vue-layouts/styles/material3.css";

  /* Dashboard Layout component styles  */
  #dashboard_default .e-panel .e-panel-content {
    vertical-align: middle;
    font-weight: 600;
    font-size: 20px;
    text-align: center;
    line-height: 100px;
  }

  #dashboardElement {
    padding-top: 30px;
  }

  #dashboard_default .e-panel {
    transition: none !important;
  }
</style>